package com.company.testcollection.entity;

import com.haulmont.cuba.core.entity.BaseIdentityIdEntity;
import com.haulmont.cuba.core.entity.BaseLongIdEntity;
import com.haulmont.cuba.core.entity.HasUuid;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;
import javax.persistence.criteria.CriteriaBuilder;
import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;
import java.util.UUID;

@Table(name = "TESTCOLLECTION_SERVICE_ORDER")
@Entity(name = "testcollection_ServiceOrder")
public class ServiceOrder extends BaseLongIdEntity {
    private static final long serialVersionUID = 7417432307881190718L;

    @NotNull
    @Column(name = "ORDER_STATE", nullable = false)
    protected Integer orderState;

    @OneToMany(mappedBy = "serviceOrder")
    protected List<ServiceOrderItem> serviceOrderItems;

    public Integer getOrderState() {
        return orderState;
    }

    public void setOrderState(Integer orderState) {
        this.orderState = orderState;
    }

    public List<ServiceOrderItem> getServiceOrderItems() {
        return serviceOrderItems;
    }

    public void setServiceOrderItems(List<ServiceOrderItem> serviceOrderItems) {
        this.serviceOrderItems = serviceOrderItems;
    }
}