-- begin TESTCOLLECTION_SERVICE_ORDER_ITEM
create table TESTCOLLECTION_SERVICE_ORDER_ITEM (
    ID bigint,
    --
    SERVICE_ORDER_ID bigint not null,
    ORDER_QUANTITY double precision not null,
    name varchar(255),
    --
    primary key (ID)
)^
-- end TESTCOLLECTION_SERVICE_ORDER_ITEM
-- begin TESTCOLLECTION_SERVICE_ORDER
create table TESTCOLLECTION_SERVICE_ORDER (
    ID bigint,
    --
    ORDER_STATE integer not null,
    --
    primary key (ID)
)^
-- end TESTCOLLECTION_SERVICE_ORDER
-- begin TESTCOLLECTION_SERVICE_ORDER_ITEM_DETAIL
create table TESTCOLLECTION_SERVICE_ORDER_ITEM_DETAIL (
    ID bigint,
    --
    SERVICE_ORDER_ITEM_ID bigint not null,
    DURATION double precision,
    SERVICE_ORDER_EMPLOYEE_ID bigint,
    --
    primary key (ID)
)^
-- end TESTCOLLECTION_SERVICE_ORDER_ITEM_DETAIL
-- begin TESTCOLLECTION_SERVICE_ORDER_EMPLOYEE
create table TESTCOLLECTION_SERVICE_ORDER_EMPLOYEE (
    ID bigint,
    --
    name varchar(255),
    --
    primary key (ID)
)^
-- end TESTCOLLECTION_SERVICE_ORDER_EMPLOYEE
