package com.company.testcollection.entity;

import com.haulmont.cuba.core.entity.BaseIdentityIdEntity;
import com.haulmont.cuba.core.entity.BaseLongIdEntity;
import com.haulmont.cuba.core.entity.HasUuid;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;
import java.util.List;
import java.util.UUID;

@Table(name = "TESTCOLLECTION_SERVICE_ORDER_EMPLOYEE")
@Entity(name = "testcollection_ServiceOrderEmployee")
public class ServiceOrderEmployee extends BaseLongIdEntity {
    private static final long serialVersionUID = 8090809151286154360L;

    @Column(name = "name")
    protected String name;

    @OneToOne(mappedBy = "serviceOrderEmployee")
    protected ServiceOrderItemDetail serviceOrderItemDetail;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public ServiceOrderItemDetail getServiceOrderItemDetail() {
        return serviceOrderItemDetail;
    }

    public void setServiceOrderItemDetail(ServiceOrderItemDetail serviceOrderItemDetail) {
        this.serviceOrderItemDetail = serviceOrderItemDetail;
    }
}