package com.company.testcollection.entity;

import com.haulmont.cuba.core.entity.BaseIdentityIdEntity;
import com.haulmont.cuba.core.entity.BaseLongIdEntity;
import com.haulmont.cuba.core.entity.HasUuid;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;
import java.util.UUID;

@Table(name = "TESTCOLLECTION_SERVICE_ORDER_ITEM_DETAIL")
@Entity(name = "testcollection_ServiceOrderItemDetail")
public class ServiceOrderItemDetail extends BaseLongIdEntity {
    private static final long serialVersionUID = -4914623125388110677L;

    @ManyToOne(fetch = FetchType.LAZY, optional = false)
    @JoinColumn(name = "SERVICE_ORDER_ITEM_ID")
    protected ServiceOrderItem serviceOrderItem;

    @Column(name = "DURATION")
    protected Double duration;

    @OneToOne(fetch = FetchType.EAGER)
    @JoinColumn(name = "SERVICE_ORDER_EMPLOYEE_ID")
    protected ServiceOrderEmployee serviceOrderEmployee;

    public Double getDuration() {
        return duration;
    }

    public void setDuration(Double duration) {
        this.duration = duration;
    }

    public ServiceOrderItem getServiceOrderItem() {
        return serviceOrderItem;
    }

    public void setServiceOrderItem(ServiceOrderItem serviceOrderItem) {
        this.serviceOrderItem = serviceOrderItem;
    }

    public ServiceOrderEmployee getServiceOrderEmployee() {
        return serviceOrderEmployee;
    }

    public void setServiceOrderEmployee(ServiceOrderEmployee serviceOrderEmployee) {
        this.serviceOrderEmployee = serviceOrderEmployee;
    }
}